RDKit: RDKit::AtomIterator_< Atom_, Mol_ > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::AtomIterator_< Atom_, Mol_ > Class Template Reference

A general random access iterator. More...

`#include <AtomIterators.h>`

## Public Types
typedef AtomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions
| AtomIterator_ ()
| AtomIterator_ (Mol_ *mol)
| AtomIterator_ (Mol_ *mol, int pos)
| AtomIterator_ (const ThisType &other)
AtomIterator_ & | operator= (const ThisType &other)
AtomIterator_ & | operator+= (int val)
AtomIterator_ & | operator-= (int val)
AtomIterator_ | operator+ (int val) const
AtomIterator_ | operator- (int val) const
int | operator- (ThisType &other) const
Atom_ * | operator* () const
Atom_ * | operator[] (const int which) const
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
bool | operator< (const ThisType &other) const
bool | operator<= (const ThisType &other) const
bool | operator> (const ThisType &other) const
bool | operator>= (const ThisType &other) const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

template<class Atom_, class Mol_>
class RDKit::AtomIterator_< Atom_, Mol_ >

A general random access iterator.

Definition at line 31 of file AtomIterators.h.

## Member Typedef Documentation

## ◆ ThisType

template<class Atom_, class Mol_>

typedef AtomIterator_<Atom_, Mol_> RDKit::AtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 33 of file AtomIterators.h.

## Constructor & Destructor Documentation

## ◆ AtomIterator_() [1/4]

template<class Atom_, class Mol_>

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( |  | ) |
| inline

Definition at line 34 of file AtomIterators.h.

Referenced by operator+(), operator+=(), operator-(), operator-=(), and operator=().

## ◆ AtomIterator_() [2/4]

template<class Atom_, class Mol_>

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( | Mol_ * | mol | ) |

## ◆ AtomIterator_() [3/4]

template<class Atom_, class Mol_>

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( | Mol_ * | mol,
|  | int | pos )

## ◆ AtomIterator_() [4/4]

template<class Atom_, class Mol_>

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

## ◆ operator!=()

template<class Atom_, class Mol_>

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

## ◆ operator*()

template<class Atom_, class Mol_>

Atom_ * RDKit::AtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

## ◆ operator+()

template<class Atom_, class Mol_>

AtomIterator_ RDKit::AtomIterator_< Atom_, Mol_ >::operator+ | ( | int | val | ) | const

References AtomIterator_().

## ◆ operator++() [1/2]

template<class Atom_, class Mol_>

ThisType & RDKit::AtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

template<class Atom_, class Mol_>

ThisType RDKit::AtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

## ◆ operator+=()

template<class Atom_, class Mol_>

AtomIterator_ & RDKit::AtomIterator_< Atom_, Mol_ >::operator+= | ( | int | val | ) |

References AtomIterator_().

## ◆ operator-() [1/2]

template<class Atom_, class Mol_>

AtomIterator_ RDKit::AtomIterator_< Atom_, Mol_ >::operator- | ( | int | val | ) | const

References AtomIterator_().

## ◆ operator-() [2/2]

template<class Atom_, class Mol_>

int RDKit::AtomIterator_< Atom_, Mol_ >::operator- | ( | ThisType & | other | ) | const

## ◆ operator--() [1/2]

template<class Atom_, class Mol_>

ThisType & RDKit::AtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

## ◆ operator--() [2/2]

template<class Atom_, class Mol_>

ThisType RDKit::AtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

## ◆ operator-=()

template<class Atom_, class Mol_>

AtomIterator_ & RDKit::AtomIterator_< Atom_, Mol_ >::operator-= | ( | int | val | ) |

References AtomIterator_().

## ◆ operator<()

template<class Atom_, class Mol_>

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator< | ( | const ThisType & | other | ) | const

## ◆ operator<=()

template<class Atom_, class Mol_>

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator<= | ( | const ThisType & | other | ) | const

## ◆ operator=()

template<class Atom_, class Mol_>

AtomIterator_ & RDKit::AtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

References AtomIterator_().

## ◆ operator==()

template<class Atom_, class Mol_>

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

## ◆ operator>()

template<class Atom_, class Mol_>

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator> | ( | const ThisType & | other | ) | const

## ◆ operator>=()

template<class Atom_, class Mol_>

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator>= | ( | const ThisType & | other | ) | const

## ◆ operator[]()

template<class Atom_, class Mol_>

Atom_ * RDKit::AtomIterator_< Atom_, Mol_ >::operator[] | ( | const int | which | ) | const

The documentation for this class was generated from the following file:

- AtomIterators.h